Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		ConsoleKit
Version:	0.4.1
Release:	1
BuildArch:	i686
License:	GNU/GPL
URL:		http://www.freedesktop.org/wiki/Software/ConsoleKit
Group:		System/Libraries
Summary:	ConsoleKit is a framework for defining and tracking users, login sessions, and seats. 
BuildRoot:	%{_tmppath}/%{name}-buildroot
# Sources:
Source:		%{name}-%{version}.tar.bz2
# BuildRequires:
BuildRequires:	xmlto
BuildRequires:	polkit-devel >= 0.95

#Automatically resolved build dependencies
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: glib-devel
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: pam-devel
BuildRequires: pkg-config
BuildRequires: zlib-devel eggdbus-devel libxslt-devel libxml2-devel

%description
ConsoleKit is a framework for defining and tracking users, login sessions, and seats. 

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig
if [ -f /var/log/ConsoleKit/history ]; then
   chmod a+r /var/log/ConsoleKit/history
fi


%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
%configure --with-pid-file=%{_localstatedir}/run/console-kit-daemon.pid --enable-pam-module --with-pam-module-dir=/%{_lib}/security --disable-docbook-docs --docdir=%{_datadir}/doc/%{name}-%{version}

make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT/%{_lib}/security/*.a
rm -f $RPM_BUILD_ROOT/%{_lib}/security/*.la

# make sure we don't package a history log
rm -f $RPM_BUILD_ROOT/%{_var}/log/ConsoleKit/history

# The sample upstart files are good enough for us.
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/init
cp data/ck-log-system-{start,stop,restart} $RPM_BUILD_ROOT%{_sysconfdir}/init

mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
cp README AUTHORS NEWS COPYING $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc %dir %{_datadir}/doc/%{name}-%{version}
%doc %{_datadir}/doc/%{name}-%{version}/README
%doc %{_datadir}/doc/%{name}-%{version}/AUTHORS
%doc %{_datadir}/doc/%{name}-%{version}/NEWS
%doc %{_datadir}/doc/%{name}-%{version}/COPYING
%{_sysconfdir}/dbus-1/system.d/*
%config(noreplace) %{_sysconfdir}/init/*
%{_datadir}/dbus-1/system-services/*.service
%{_datadir}/polkit-1/actions/*.policy
%dir %{_sysconfdir}/ConsoleKit
%dir %{_sysconfdir}/ConsoleKit/seats.d
%dir %{_sysconfdir}/ConsoleKit/run-seat.d
%dir %{_sysconfdir}/ConsoleKit/run-session.d
%dir %{_prefix}/lib/ConsoleKit
%dir %{_prefix}/lib/ConsoleKit/scripts
%dir %{_prefix}/lib/ConsoleKit/run-seat.d
%dir %{_prefix}/lib/ConsoleKit/run-session.d
%dir %{_var}/run/ConsoleKit
%attr(755,root,root) %dir %{_var}/log/ConsoleKit
%config %{_sysconfdir}/ConsoleKit/seats.d/00-primary.seat
%{_sbindir}/console-kit-daemon
%{_sbindir}/ck-log-system-restart
%{_sbindir}/ck-log-system-start
%{_sbindir}/ck-log-system-stop
%{_bindir}/ck-history
%{_bindir}/ck-launch-session
%{_bindir}/ck-list-sessions
%{_prefix}/lib/ConsoleKit/scripts/*
%{_libexecdir}/*
%{_libdir}/lib*.so.*
/%{_lib}/security/*.so
%{_mandir}/man8/pam_ck_connector.8.gz

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/dbus-1/interfaces/org.freedesktop.ConsoleKit.*.xml

%changelog
* Sun Nov 22 2009 Christian Metzen <metzench@ccux-linux.de> 0.4.1-1
- Version update
* Mon Aug 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.3.1-1
- initial CCux package release
